image: node:18

workflow:
  rules:
    - if: $CI_COMMIT_BRANCH

pages:
  stage: deploy
  environment: production
  cache: 
    key:
      files:
        - package-lock.json
      prefix: npm
    paths:
      - node_modules/
  script:
    - npm ci
    - npm run build
    - cp -a dist/. public/
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
